Activity log for bug #197250

Date Who What changed Old value New value Message
2008-03-01 11:49:22 Christian Reis bug added bug
2008-07-12 14:29:27 Andrea Corbellini malone: status New Confirmed
2009-01-05 20:38:09 Diogo Matsubara malone: status Confirmed Triaged
2009-01-05 20:38:09 Diogo Matsubara malone: statusexplanation Also urls with 'index.php' in the url such as http://savannah.gnu.org/bugs/index.php?23827 should be accepted.
2011-01-11 05:34:31 Robert Collins summary Savannah bug watches should match longer URL Savannah bug watches should match multiple URLs
2011-01-11 05:35:38 Robert Collins description If you look at https://bugs.edge.launchpad.net/screen/+bug/13211/comments/2 you'll notice Daniel posted a URL form for Savannah that is longer: https://savannah.gnu.org/bugs/?func=detailitem&item_id=16661 It would be nice to auto-detect this as currently one needs to construct a URL manually based on the ID. If you look at https://bugs.edge.launchpad.net/screen/+bug/13211/comments/2 you'll notice Daniel posted a URL form for Savannah that is longer: https://savannah.gnu.org/bugs/?func=detailitem&item_id=16661 It would be nice to auto-detect this as currently one needs to construct a URL manually based on the ID. Also from the duplicates: Consider bug 299221; it contains an upstream link to the Savannah bug tracker. Using the UI at savannah.gnu.org, the link from filing the upstream bug was provided to me as https://savannah.gnu.org/bugs/index.php?24862. However, Launchpad only accepts bugs in the form http://savannah.gnu.org/bugs/?24862; this makes it difficult to add a bug watch unless the user has already seen a Savannah bug watch and knows to delete 'index.php' from the URL; a reasonable assumption for the user to make, however, would be that these trackers simply aren't supported.
2011-01-11 05:37:06 Robert Collins launchpad: importance Undecided High
2011-12-31 20:39:58 Robert Collins summary Savannah bug watches should match multiple URLs bug watches on savannah have to use exact urls, but savannah uses many itself
2018-11-11 11:51:57 Karl-Philipp Richter bug added subscriber Karl-Philipp Richter
2018-11-11 11:56:22 Karl-Philipp Richter attachment added screenshot-bugs.launchpad.net-2018.11.11-12-53-01.png https://bugs.launchpad.net/launchpad/+bug/197250/+attachment/5211408/+files/screenshot-bugs.launchpad.net-2018.11.11-12-53-01.png
2018-11-11 21:41:08 Colin Watson launchpad: status Triaged In Progress
2018-11-11 21:41:08 Colin Watson launchpad: assignee Colin Watson (cjwatson)
2018-11-11 21:47:50 Launchpad Janitor branch linked lp:~cjwatson/launchpad/improve-savane-url-parsing
2018-11-12 11:00:42 Launchpad QA Bot tags bugwatch lp-bugs bugwatch lp-bugs qa-needstesting
2018-11-12 11:00:43 Launchpad QA Bot launchpad: status In Progress Fix Committed
2018-11-15 17:23:52 Colin Watson tags bugwatch lp-bugs qa-needstesting bugwatch lp-bugs qa-ok
2018-11-15 19:36:14 Colin Watson launchpad: status Fix Committed Fix Released